import java.util.Scanner;

/**
 *
 * @author User
 */
public class Pikado {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
      
        Scanner in = new Scanner(System.in);
        int n=in.nextInt();
        int k=in.nextInt();
        int b=0;
        int o=0;
        int c=0;
        int h=0;
        int u=0;
        boolean ih=false;
        int p[]= new int[n];
        int a[]= new int[(2*n)+1];
        
          for(int i=0;i<n;i++){
          p[i]=in.nextInt();
          }
          
        for(int i=-n;i<=n;i++){
            a[b]=i;
            b=b+1;
        }
        
        System.out.println(" ");
        
        for(int r=0;r<n;r++){
         for(int i=u;i<n;i++){
             if(p[r]==p[i]){
               o=o+1;  
        }
             }
        
         o=o-1;
          u=u+o;
          if(o==k){
           c=c+1; 
         }
         // if(o>k){
         //     c=c-(o-k);
         // }
        }
        
        System.out.println(c);
          int s[]=new int[c];
           
           u=1;
           o=0;
       for(int r=0;r<n;r++){
         for(int i=u;i<n;i++){
             if(p[r]==p[i]){
                  o=o+1;
                  if(o==k){
                 s[h]=p[r];
                 ih=true;
                  }
             }
         }
          u=u+1;
          if(ih)
          h=h+1;
          
          ih=false;
             }
      
       for(int r=0;r<c;r++){
           System.out.print(s[r]+" ");
       }
       
}
}